Bug 30657 - Installer does not recognise raid 0 on promise fasttrack 66
Installer does not recognise raid 0 on promise fasttrack 66
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-05 11:22 EST by gerald.ehritz
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 05:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gerald.ehritz 2001-03-05 11:22:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


The promise fasttrack 66 controller seems to be recognised by the kernel,
but diskdruid or fdisk only shows the physical parameters of the first
drive in a definded raid 0 array. Booting after install is not possible,
lilo hangs after displaying LI

Reproducible: Always
Steps to Reproduce:
1. plug in a promise fasttrack 66 controller, setup a raid 0, install dos
on a small partition on it.
2. install fisher, look at the wrong raid 0 parameter
3. boot after install
	

Actual Results:  Booting Linux not possible

Expected Results:  Linux should have booted 

At boot time kernel shows some infos about the chip set on the fasttrack
66, which looks ok. Seems that the controlelr is not asked about existing
raid arrays.
Comment 1 Arjan van de Ven 2001-03-05 11:52:35 EST
This is a "fake software raid" card. Promise refuses to give specs for it,
but drivers on the first cable work fine. Drives on the second cable are
invisible for now, I'm working on fixing that.

But it means you cannot mix linux with that other OS for now.
Comment 2 gerald.ehritz 2001-03-07 02:26:00 EST
If promise refuses to give out the specs to the public why do FreeBSD seems to
have it? Did a test with a fasttrack 100 today and it works perfectly with
FreeBSD 4.2 and recognises the existing raid 0 array and the 2 drives connected
to the second chanel!

There are drivers avail from promise, but onhly for RH 6.2 and 7.0. Do somebody
know if this drivers will work in the next RH release ( 7.1?).
Comment 3 Arjan van de Ven 2001-03-07 04:44:07 EST
If the driver is binary only, it will not work unless Promise update it. We
won't ship it in this case.
If it is GPL'd and open source, I would not mind having a look at it.
Comment 4 Arjan van de Ven 2001-03-07 05:14:04 EST
More info: Our kernel will find the second drive just fine.
I'm looking into the bsd driver to see if there enough information there to
make linux support it.
Comment 5 Arjan van de Ven 2001-03-23 09:58:40 EST
Using the existing RAID0 is not doable in a reasonable timeframe.
Although the needed information is there, there is a very dangerous
interaction with setups where people ignored the "RAID" and used linux
to just install partitions on the drives. There is no safe way to detect
if it is a "Windows RAID" or a "Linux drive" yet. Development will continue,
but doing it properly will take some time.
Comment 6 gerald.ehritz 2001-03-26 05:44:56 EST
Ok,
FreeBSD uses different devices for disk and raid on this controller and does not
allow to use a drive in both.

Note You need to log in before you can comment on or make changes to this bug.